FROM node:22-alpine

WORKDIR /app

COPY ./backend/package.json ./backend/package-lock.json ./
RUN npm ci --omit=dev --no-audit --no-fund

COPY ./backend/server.js ./backend/server.js
COPY ./backend/utils ./backend/utils/
COPY ./backend/routes ./backend/routes/

EXPOSE 1111

CMD ["node", "backend/server.js"]
